#include <stdio.h>
#include <stdlib.h>

int main()
{
    int a1,a2,k,i;
    char c1,c2;
    scanf("%c%c",&c1,&c2);
    scanf("%d,%d", &a1,&a2);
    k=abs(a1-a2);
    if(k<=1)
    {
        if(a1>a2)
        {
            for(i=0;i<a2;i++)
            {
                printf("%c%c",c1,c2);
            }
            printf("%c",c1);
        }
        else if(a1<a2)
        {
            for(i=0;i<a1;i++)
            {
                printf("%c%c",c2,c1);
            }
            printf("%c",c2);
        }
        else{
            for(i=0;i<a1;i++)
            {
                printf("%c%c",c1,c2);
            }
        }
    }
    else{
        printf("nemoguce");
    }

return 0;
}